import * as S from '@effect/schema/Schema';
export declare const NumberFromDate: S.refine<number, S.Schema<number, Date, never>>;
export declare const NonEmptyString: S.refine<string, S.Schema<string, string, never>>;
export declare const AlphaNumericString: S.refine<string, S.Schema<string, string, never>>;
export declare const BitcoinAddress: S.Union<[S.filter<S.Schema<string, string, never>>, S.filter<S.Schema<string, string, never>>]>;
export declare const IntFromString: S.refine<number, S.Schema<number, string, never>>;
export declare const FutureDateNumber: S.filter<S.Union<[S.filter<S.Schema<number, number, never>>, S.refine<number, S.Schema<number, Date, never>>]>>;
export declare const GenerateURIArgs: S.Struct<{
    nonce: S.refine<string, S.Schema<string, string, never>>;
    resource: S.optional<S.refine<string, S.Schema<string, string, never>>>;
    expires: S.optional<S.filter<S.Union<[S.filter<S.Schema<number, number, never>>, S.refine<number, S.Schema<number, Date, never>>]>>>;
}>;
export type GenerateURIArgsInput = S.Schema.Encoded<typeof GenerateURIArgs>;
export declare const Signature: S.refine<string, S.Schema<string, string, never>>;
export declare const Nym: S.refine<string, S.Schema<string, string, never>>;
declare const ValidCallbackUri: S.brand<typeof S.String, "ValidCallbackUri">;
export type ValidCallbackUri = typeof ValidCallbackUri.Type;
export declare const CallbackUri: S.transformOrFail<typeof S.String, S.brand<typeof S.String, "ValidCallbackUri">, never>;
export declare const Resource: S.transformOrFail<typeof S.String, typeof S.String, never>;
export declare const Expiry: S.transformOrFail<S.transformOrFail<S.Schema<string, string, never>, typeof S.Number, never>, typeof S.Int, never>;
export declare const Challenge: S.transformOrFail<typeof S.String, typeof S.String, never>;
export declare const AddressProof: S.Struct<{
    address: S.Union<[S.filter<S.Schema<string, string, never>>, S.filter<S.Schema<string, string, never>>]>;
    auth47_response: S.Literal<["1.0"]>;
    challenge: S.transformOrFail<typeof S.String, typeof S.String, never>;
    signature: S.refine<string, S.Schema<string, string, never>>;
}>;
export declare const NymProof: S.Struct<{
    nym: S.refine<string, S.Schema<string, string, never>>;
    auth47_response: S.Literal<["1.0"]>;
    challenge: S.transformOrFail<typeof S.String, typeof S.String, never>;
    signature: S.refine<string, S.Schema<string, string, never>>;
}>;
export declare const Proof: S.Union<[S.SchemaClass<{
    readonly address: string;
    readonly auth47_response: "1.0";
    readonly challenge: string;
    readonly signature: string;
    readonly kind: "AddressProof";
}, {
    readonly address: string;
    readonly auth47_response: "1.0";
    readonly challenge: string;
    readonly signature: string;
}, never>, S.SchemaClass<{
    readonly auth47_response: "1.0";
    readonly challenge: string;
    readonly signature: string;
    readonly nym: string;
    readonly kind: "NymProof";
}, {
    readonly auth47_response: "1.0";
    readonly challenge: string;
    readonly signature: string;
    readonly nym: string;
}, never>]>;
export {};
//# sourceMappingURL=decoders.d.ts.map